/**
 * Errores de capa de dominio. No deben "filtrarse" a cliente tal cual.
 *
 * */

export class DomainError extends Error {
  public readonly layer = "domain" as const;
  constructor(message: string, options?: ErrorOptions) {
    super(message, options);
    Object.setPrototypeOf(this, new.target.prototype);
  }
}
